fst-mor(1)

NAME
fst-mor - Interactive morphological analyser and generator

SYNOPSIS
fst-mor [options] file

OPTIONS

-n  Print multi-character symbols without the enclosing angle brackets.

-h  Print usage information.

DESCRIPTION
fst-mor is an interactive morphological analyser and generator. The argument is the name of a file which was generated by fst-compiler (without using option -c).

fst-mor reads the transducer which is stored in the argument file and prompts the user for input. Each input line is processed until the user enters "q" which ends the program.

fst-mor has two modes, an analysis mode (default) and a generation mode. Entering an empty input line switches between the two modes.

In order to explain what the program does in generation and analysis, consider the following transducer:

    a b:x c:<> d

In generation mode, the program will print "axd" if the user enters "abcd" and "no result" otherwise. In other words, the program maps the left symbols to the right symbols of the transducer.

In analysis mode, the program will print "abcd" if the user enters "axd" and "no result" otherwise.

BUGS
No bugs are known so far.

SEE ALSO
fst-compiler

AUTHOR
Helmut Schmid, Institute for Computational Linguistics, University of Stuttgart, Email: schmid@ims.uni-stuttgart.de, This software is available under the GNU Public License.